metadata:
    name: media-codecs-functional-tests
    format: "Lava-Test Test Definition 1.0"
    description: "Media functional codecs test suite for linaro android
                  verifies arm based audio/video software codecs available in
                  Android AOSP release. These codecs are used in implementation
                  of SW based OMX decoders. Some of these codecs are developed
                  by Google like VP8/VP9 and some others by third parties like
                  PacketVideo for mp3."
    maintainer:
        - edmund.szeto@linaro.org
        - chase.qi@linaro.org
    os:
        - android
    scope:
        - functional
    devices:
        - juno
        - hi6220-hikey

params:
    # Specify device serial no. when more than one device connected.
    ANDROID_SERIAL: ""
    # Specify timeout in seconds for wait_boot_completed.
    BOOT_TIMEOUT: "300"

run:
    steps:
        - cd ./automated/android/media-codecs-functional-tests
        - ./media-codecs-functional-tests.sh -s "${ANDROID_SERIAL}" -t "${BOOT_TIMEOUT}"
        - ../../utils/send-to-lava.sh ./output/result.txt
